
set echo on

set autotrace traceonly explain

SELECT *
FROM   TABLE(employees_piped);

SELECT *
FROM   departments              d
,      TABLE(employees_piped)   e
WHERE  d.department_id = e.department_id;

SELECT /*+ CARDINALITY(e, 21400) */ *
FROM   departments              d
,      TABLE(employees_piped)   e
WHERE  d.department_id = e.department_id;

SELECT /*+ OPT_ESTIMATE(table, e, scale_rows=2.62) */ 
       *
FROM   departments              d
,      TABLE(employees_piped)   e
WHERE  d.department_id = e.department_id;

set autotrace off
