
set echo on

CREATE OR REPLACE FUNCTION employees_piped(
                           p_num_rows IN NUMBER
                           ) RETURN employees_ntt PIPELINED AS
BEGIN
   FOR r IN (SELECT * FROM employees) LOOP
      FOR i IN 1 .. 200 LOOP
         PIPE ROW (employees_ot(
                      r.employee_id, r.first_name, r.last_name,
                      r.email, r.phone_number, r.hire_date,
                      r.job_id, r.salary, r.commission_pct,
                      r.manager_id, r.department_id));
      END LOOP;
   END LOOP;
   RETURN;
END employees_piped;
/


