
set echo on

ASSOCIATE STATISTICS WITH FUNCTIONS employees_piped USING pipelined_stats_ot;

ALTER SESSION SET EVENTS '10053 trace name context forever, level 1';

set autotrace traceonly explain

SELECT *
FROM   departments                   d
,      TABLE(employees_piped(21400)) e
WHERE  d.department_id = e.department_id;

set autotrace off

ALTER SESSION SET EVENTS '10053 trace name context off';

DISASSOCIATE STATISTICS FROM FUNCTIONS employees_piped;


