
set echo on

set autotrace traceonly explain

SELECT /*+ DYNAMIC_SAMPLING(e, 5) */ 
       *
FROM   departments              d
,      TABLE(employees_piped)   e
WHERE  d.department_id = e.department_id;

ALTER SESSION SET EVENTS '10053 trace name context forever, level 1';

SELECT /*+ DYNAMIC_SAMPLING(e, 2) */ 
       *
FROM   departments              d
,      TABLE(employees_piped)   e
WHERE  d.department_id = e.department_id;

ALTER SESSION SET EVENTS '10053 trace name context off';

set autotrace traceonly

ALTER SESSION SET EVENTS '10046 trace name context forever, level 12';

SELECT /*+ DYNAMIC_SAMPLING(e, 2) */ *
FROM   TABLE(employees_piped) e;

ALTER SESSION SET EVENTS '10046 trace name context off';

set autotrace off

