
set echo on

CREATE TYPE BODY pipelined_stats_ot AS

   STATIC FUNCTION ODCIGetInterfaces (
                   p_interfaces OUT SYS.ODCIObjectList
                   ) RETURN NUMBER IS
   BEGIN
      p_interfaces := SYS.ODCIObjectList(
                         SYS.ODCIObject ('SYS', 'ODCISTATS2')
                         );
      RETURN ODCIConst.success;
   END ODCIGetInterfaces;

   STATIC FUNCTION ODCIStatsTableFunction (
                   p_function IN  SYS.ODCIFuncInfo,
                   p_stats    OUT SYS.ODCITabFuncStats,
                   p_args     IN  SYS.ODCIArgDescList,
                   p_num_rows IN  NUMBER
                   ) RETURN NUMBER IS
   BEGIN
      p_stats := SYS.ODCITabFuncStats(p_num_rows);
      RETURN ODCIConst.success;
   END ODCIStatsTableFunction;

END;
/

